> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Activate LITT Card

POST TBD/api/v2/users/litt-card/activate
Content-Type: application/json

This API endpoint is used to activate a LITT Card on a user's account. The card to be activated is identified by its Personal Account Number (PAN).

### Request Body

- `pan` (string): The PAN (or token) of the LITT Card to be activated.
    

### Response

The response will be a `success` string indicating that the card has been activated. If an error occurs during the process, it will be noted in the response.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/digital-wallet/activate-litt-card

## Request

### Query parameters

- `api_token` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `api` (string, optional)
- `data` (ApiV2UsersLittCardActivatePostRequestBodyContentApplicationJsonSchemaData, optional)

## Response

### 200

Activate LITT Card

## Types

### ApiV2UsersLittCardActivatePostRequestBodyContentApplicationJsonSchemaData

- `pan` (string, optional)

## Examples

**Request**

```json
{
  "api": "activate-litt-card",
  "data": {
    "pan": "YOUR_PAN"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Digital Wallet_activateLittCard_example
import requests

url = "https://tbd/api/v2/users/litt-card/activate"

querystring = {"api_token":"{{token}}"}

payload = {
    "api": "activate-litt-card",
    "data": { "pan": "YOUR_PAN" }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Digital Wallet_activateLittCard_example
const url = 'https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"api":"activate-litt-card","data":{"pan":"YOUR_PAN"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Digital Wallet_activateLittCard_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D"

	payload := strings.NewReader("{\n  \"api\": \"activate-litt-card\",\n  \"data\": {\n    \"pan\": \"YOUR_PAN\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Digital Wallet_activateLittCard_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"api\": \"activate-litt-card\",\n  \"data\": {\n    \"pan\": \"YOUR_PAN\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Digital Wallet_activateLittCard_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D")
  .header("Content-Type", "application/json")
  .body("{\n  \"api\": \"activate-litt-card\",\n  \"data\": {\n    \"pan\": \"YOUR_PAN\"\n  }\n}")
  .asString();
```

```php Digital Wallet_activateLittCard_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D', [
  'body' => '{
  "api": "activate-litt-card",
  "data": {
    "pan": "YOUR_PAN"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Digital Wallet_activateLittCard_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"api\": \"activate-litt-card\",\n  \"data\": {\n    \"pan\": \"YOUR_PAN\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Digital Wallet_activateLittCard_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "api": "activate-litt-card",
  "data": ["pan": "YOUR_PAN"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/litt-card/activate?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```